Package org.apache.storm.testing

# Class MkClusterParam

java.lang.Object
org.apache.storm.testing.MkClusterParam

public class MkClusterParam extends Object
The param arg for `Testing.withSimulatedTimeCluster`, `Testing.withTrackedCluster` and `Testing.withLocalCluster`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MkClusterParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Object>`
  `getDaemonConf()`
  `Integer`
  `getPortsPerSupervisor()`
  `Integer`
  `getSupervisors()`
  `Boolean`
  `isNimbusDaemon()`
  `void`
  `setDaemonConf(Map<String,Object> daemonConf)`
  `void`
  `setNimbusDaemon(Boolean nimbusDaemon)`
  When nimbusDaemon is true, the local cluster will be started with a Nimbus Thrift server, allowing communication through for example org.apache.storm.utils.NimbusClient.
  `void`
  `setPortsPerSupervisor(Integer portsPerSupervisor)`
  `void`
  `setSupervisors(Integer supervisors)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MkClusterParam

    public MkClusterParam()

- ## Method Details

  - ### getSupervisors

    public Integer getSupervisors()

  - ### setSupervisors

    public void setSupervisors(Integer supervisors)

  - ### getPortsPerSupervisor

    public Integer getPortsPerSupervisor()

  - ### setPortsPerSupervisor

    public void setPortsPerSupervisor(Integer portsPerSupervisor)

  - ### isNimbusDaemon

    public Boolean isNimbusDaemon()

  - ### getDaemonConf

    public Map<String,Object> getDaemonConf()

  - ### setDaemonConf

    public void setDaemonConf(Map<String,Object> daemonConf)

  - ### setNimbusDaemon

    public void setNimbusDaemon(Boolean nimbusDaemon)
    When nimbusDaemon is true, the local cluster will be started with a Nimbus Thrift server, allowing communication through for example org.apache.storm.utils.NimbusClient.